dialog#modal {
	width: 100%; height: 100%;
	padding: 0;
	position: fixed;
	background: none;
}

dialog#modal .overlay {
	width: 100%; height: 100%;
	background: #000000; opacity: 0.5;
	position: absolute;
}

dialog#modal .container {
	width: 60%; max-height: 90%;
	position: relative;
	margin: 0 auto;
	top:  50%;
	transform: translateY(-50%);
	border: 2px solid #7A7A7A;
	box-shadow: 0 0px 5px #7A7A7A;
	background: #fff;
}

dialog#modal.small .container {
	max-width: 500px;
}

dialog#modal .container header {
	display: flex;
	width: 100%; height: 50px;
	background: #0a3e46;
	padding: 13px 20px;
	color: #FFF; font-size: 18px;
	text-transform: uppercase;
}
dialog#modal .container header > button {
	display: none;
}
dialog#modal .container header > button:before {
	content: "\e837";
	font-family: "iconfont";
	font-size: 25px;
}

dialog#modal.closable .container header > button {
	display: block;
	margin: 0; padding: 0;
	margin-left: auto;
}

dialog#modal .container aside {
	width: 100%;
	padding: 10px 20px 0 20px;
	display: flex;
	overflow: auto;
	position: static;
	max-height: 81vh;
}

dialog#modal .container aside * {
	display: flex;
}

dialog#modal .container aside > form {
	padding-bottom: 10px; height: 100%;
}

dialog#modal.confirm aside { flex-wrap: wrap; }
dialog#modal.confirm .message {
	width: 100%;
	margin: 10px auto;
	flex: 1 0 auto;
}
dialog#modal aside button { margin-top: 20px; min-width: 150px; justify-content: center; }
dialog#modal aside button.confirm { margin-left: auto; }
dialog#modal aside button.cancel, dialog#modal.red aside button.cancel {
	background: #7A7A7A;
}

dialog#modal.red header {background: #FF0000;}
dialog#modal.red header button {background: #FF0000;}
dialog#modal.red aside button {background: #FF0000;}

dialog#modal aside button.add, dialog#modal aside button.remove {
	width: 40px; height: 40px;
	margin-left: 10px; margin-bottom: 6px; margin-top: 0;
	min-width: 0;
	align-self: end;
}

dialog#modal aside button.remove {
	background: #FF0000;
}

dialog#modal .tag-list { margin: 10px 0px; }

dialog#modal .test-strategy select {width: 265px;}
dialog#modal .test-strategy select + select, dialog#modal .test-strategy div + div select {
	width: 130px; margin-left: 10px;
}

dialog#modal .test-funds select {min-width: 130px;}
dialog#modal .test-funds input {margin-left: 10px;}
dialog#modal .test-funds {}

web-loader {
	display: flex;
	position: fixed;
	width: 100%;
	height: 100%;
	background: #000000;
	opacity: 0.8;
	text-align: center;
	vertical-align: middle;
	z-index: 999998;
}

web-notifier {position: fixed; top: 80px; right: 0; z-index: 999999;}
web-notifier web-notification {min-height: 80px; width: 500px; display: block; margin: 20px; padding: 10px 40px 10px 90px; position: relative; box-sizing: border-box; transition: opacity .5s ease-in-out; opacity: 0; background: #fff; box-shadow: 0 0 3px #0a3e46;}
web-notifier web-notification.show {opacity: 1; animation: notificationFadeIn 0.5s ease-out;}
web-notifier web-notification:before {display: block; width: 80px; height: 100%; position: absolute; left: 0; top: 0; background: #0a3e46; font-family: "iconfont"; content: "\e805";
	color: #fff; font-size: 50px; text-align: center; padding-top: 12px; box-sizing: border-box;
}
web-notifier web-notification.warning {box-shadow: 0 0 3px #fc6603;}
web-notifier web-notification.warning:before {
	background-color: #fc6603;
	content: "\e813";
}
web-notifier web-notification.error {box-shadow: 0 0 3px #f00;}
web-notifier web-notification.error:before {
	background-color: #f00;
	content: "\e814";
}
web-notifier web-notification span {}
web-notifier web-notification > button {width: 25px; height: 25px; padding: 0; display: block; position: absolute; right: 10px; top: 10px; border: none; background: transparent; font-size: 24px; color: #0a3e46;
	font-family: "iconfont";
}
web-notifier web-notification > button:before {content: "\e837";}
web-notifier web-notification.warning > button {color: #fc6603;}
web-notifier web-notification.error > button {color: #f00;}

@keyframes notificationFadeIn {
	0% {
		display: none;
		opacity: 0;
	}
	1% {
		display: block;
		opacity: 0;
	}
	100% {
		display: block;
		opacity: 1;
	}
}
